% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/listToMap.R, R/mapToList.R
\name{listToMap}
\alias{listToMap}
\alias{mapToList}
\alias{listToMap}
\title{Convert map from data.frame or DataFrame to list and vice versa}
\usage{
listToMap(listmap, type = "colnames")

mapToList(dfmap, assayCol = "assay")
}
\arguments{
\item{listmap}{A \code{list} class object containing names of either 
experiments, assays or features.}

\item{type}{Any of the valid types of maps including colnames, rownames, 
and assays.}

\item{dfmap}{A \code{data.frame} or \code{DataFrame} object with
identifiers in the first column}

\item{assayCol}{A character vector of length one indicating the assay
names column}
}
\value{
A \code{DataFrame} class object of names

A \code{list} object of DataFrames for each assay
}
\description{
The \code{mapToList} function provides a convenient way of reordering a
\code{data.frame} to a \code{list}. The \code{listToMap} function does the 
opposite by taking a \code{list} and converting it to \code{DataFrame}.
}
\section{Functions}{
\itemize{
\item \code{listToMap}: Inverse of the listToMap function
}}

\examples{
example("sampleMap")

## Create a sampleMap from a list using the listToMap function
mySampleMap <- listToMap(mylist)

## The inverse operation is also available
mylist <- mapToList(mySampleMap)
}
